package com.ruoyi.web.modules.industrypolicy.service;

import java.util.List;
import com.ruoyi.web.modules.industrypolicy.domain.BizSubsidyMatter;

/**
 * 项目与补贴-补贴服务
 */
public interface IBizSubsidyMatterService
{
    BizSubsidyMatter selectBizSubsidyMatterById(Long id);

    List<BizSubsidyMatter> selectBizSubsidyMatterList(BizSubsidyMatter query);

    int insertBizSubsidyMatter(BizSubsidyMatter row);

    int updateBizSubsidyMatter(BizSubsidyMatter row);

    int deleteBizSubsidyMatterByIds(Long[] ids);

    int publish(Long id);

    int offline(Long id);
}
